
Redmine - Defect #22807

rbpdf 1.19.0 breaks the encoding

2016-05-12 17:06 - Pavel Rosický

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.2.2

Description

env

ruby 2.1.5p273 (2014-11-13 revision 48405) [x64-mingw32]

redmine 3.2.2 stable

general_pdf_fontname: freesans

no plugins

Can't properly export czech characters to pdf since Redmine 3.2.0

example: příliš žluťoučký kůň

Forcing previous version of rbpdf gem fixes the issue

gem "rbpdf", "1.18.7"

Related issues:

Related to Redmine - Defect #22077: PDF issue export Needs feedback

History

#1 - 2016-05-12 18:33 - Toshi MARUYAMA

- File pro1-2.png added

- File pro1-2.pdf added

- Status changed from New to Needs feedback

- Affected version changed from 3.2.0 to 3.2.2

I cannot reproduce on Redmine 3.2.2 ruby 2.1.10p492 (2016-04-01 revision 54464) [x86_64-linux].

#2 - 2016-05-12 19:09 - Pavel Rosický

I found out that it's browser related.

Adobe Acrobat - both pdfs are correcty encoded

TWINUI (windows) - 1.18.7 (ok), 1.19.0 (wrong)

#3 - 2016-05-13 01:55 - Toshi MARUYAMA

- Related to Defect #22077: PDF issue export added

Files

brokenenc.png 14.4 KB 2016-05-12 Pavel Rosický

correctenc.png 15.7 KB 2016-05-12 Pavel Rosický

pro1-2.png 25.1 KB 2016-05-12 Toshi MARUYAMA

pro1-2.pdf 95.7 KB 2016-05-12 Toshi MARUYAMA
